Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.invocation
Class InternalInvocation

    java.lang.Object
      org.jboss.remoting.invocation.RemoteInvocation
          org.jboss.remoting.invocation.InternalInvocation

All Implemented Interfaces:
  Serializable

public class InternalInvocation
extends RemoteInvocation

InternalInvocation.java is an invocation object for use in the remoting layer for callbacks etc. We are responsible for assuring that each method name has a unique arg list.

Created: Mon Apr 28 09:14:46 2003

Version:
  1.0
Author:
  David Jencks, Tom Elrod
See Also:
  Serialized Form

Field Summary
`static String` | `ADDCLIENTLISTENER`
`static String` | `ADDLISTENER`
`static String` | `GETCALLBACKS`
`static String` | `HANDLECALLBACK`
`static String` | `REMOVECLIENTLISTENER`
`static String` | `REMOVELISTENER`

Fields inherited from class org.jboss.remoting.invocation.RemoteInvocation
`methodName, params`

Constructor Summary
`InternalInvocation(String methodName, Object[] params)`

Methods inherited from class org.jboss.remoting.invocation.RemoteInvocation
`getMethodName, getParameters`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ADDCLIENTLISTENER

    public static final String ADDCLIENTLISTENER

See Also:
  Constant Field Values

### ADDLISTENER

    public static final String ADDLISTENER

See Also:
  Constant Field Values

### REMOVELISTENER

    public static final String REMOVELISTENER

See Also:
  Constant Field Values

### REMOVECLIENTLISTENER

    public static final String REMOVECLIENTLISTENER

See Also:
  Constant Field Values

### GETCALLBACKS

    public static final String GETCALLBACKS

See Also:
  Constant Field Values

### HANDLECALLBACK

    public static final String HANDLECALLBACK

See Also:
  Constant Field Values

Constructor Detail

### InternalInvocation

    public InternalInvocation(String methodName,
                              Object[] params)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.